<!DOCTYPE html>
<html>
<head>
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

	<!-- Bootstrap -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">
	<!-- <link rel="stylesheet" type="text/css" href="style.css"> -->

	<title>Bootstrap Grid System</title>
</head>
<body class="text-center">
	<h1>Bootstrap Grid System</h1>

	<!-- Two Columns Start -->
	<h2>Two Columns</h2>
	<div class="container-fluid">

		<!-- row with 2 equal columns -->
		<h3>1:1 Ratio</h3>
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-6">6 Col</div>
		<div class="bg-secondary pt-3 pb-3 border border-dark col-6">6 Col</div>
		</div>
		<!-- Row with 2 columns divided 1:2 ratio -->
			<h3>1:2 Ratio</h3>
			<div class="row text-light">
				<div class="bg-primary pt-3 pb-3 border border-dark col-4">4 Col</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col-8">8 Col</div>
			</div>

	</div>



	<!-- Create a row with 2 columns divided in 1:3 ratio -->
	<h3>1:3 Ratio</h3>
			<div class="row text-light">
				<div class="bg-primary pt-3 pb-3 border border-dark col-3">3 Col</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col-9">9 Col</div>
			</div>
		<!-- End of 2 columns -->

<!-- Start of 3 Columns -->
	<h2>Three Columns</h2>
		<div class="container-fluid">
			<!-- Row with 3 equal columns -->
			<h3>1:1:1 Ratio</h3>
			<div class="row text-light">
			
					<div class="bg-primary pb-3 pt-3 border-dark border col-4">4 Col</div>
				
				
					<div class="bg-secondary pb-3 pt-3 border-dark border col-4">4 Col</div>
				

					<div class="bg-primary pb-3 pt-3 border-dark border col-4">4 Col</div>
				</div>
			</div>
		</div>
		<!-- Activity -->
		<h3>1:2:1 Ratio</h3>
			<div class="row text-light">
			
					<div class="bg-primary pb-3 pt-3 border-dark border col-3">3 Col</div>
				
				
					<div class="bg-secondary pb-3 pt-3 border-dark border col-6">6 Col</div>
				

					<div class="bg-primary pb-3 pt-3 border-dark border col-3">3 Col</div>
				</div>
			</div>
		<h3>Uneven Ratio</h3>
			<div class="row text-light">
			
					<div class="bg-primary pb-3 pt-3 border-dark border col-3">3 Col</div>
				
				
					<div class="bg-primary pb-3 pt-3 border-dark border col-7">7 Col</div>
				

					<div class="bg-primary pb-3 pt-3 border-dark border col-2">2 Col</div>
				</div>
			</div>
				
		</div>
<!-- End of 3 Columns -->
<!-- CRC Rule - Container, Row, Columns meaning set the container first, set the row second, set the columns last-->

	<!-- Automatic Sizing Chart -->
	<h2>Automatic Sizing</h2>
	<div class="container-fluid">
		<div class="row text-light">
			<div class="bg-primary pt-3 pb-3 border border-dark col">Auto
			</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col">Auto
			</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col">Auto
			</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col">Auto
			</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col">Auto
			</div>

		</div>
	</div>
	<!-- Automatic Sizing Chart End-->

	<!-- Mobile Responsive Column -->
	<h2>Mobile Responsive Columns</h2>
	<div class="container-fluid">
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border-dark border col-sm-6 col-md-4 col-lg-2">
				Responsive
			</div>
			<div class="bg-secondary pt-3 pb-3 border-dark border col-md-8 col-lg-10">
				Responsive
			</div>
		</div>
		<!-- Multi-Column Layouts -->
	<h2>Multi-Column Layouts</h2>
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border-dark border col-4">Catalog 1</div>
			<div class="bg-secondary pt-3 pb-3 border-dark border col-4">Catalog 2</div>
			<div class="bg-primary pt-3 pb-3 border-dark border col-4">Catalog 3</div>
			<div class="bg-secondary pt-3 pb-3 border-dark border col-4">Catalog 4</div>
			<div class="bg-primary pt-3 pb-3 border-dark border col-4">Catalog 5</div>
			<div class="bg-secondary pt-3 pb-3 border-dark border col-4">Catalog 6</div>
			
		</div>

		<!-- Multi-Column Layouts End-->

		<!-- Offsetting Columns -->

		<h2>Offsetting Columns</h2>

		<!-- offset value is the space set from the left: offset-2 = 2 columns from left, can be set on screen size "offset-md-3 = 3columns if screen is medium" -->
		<div class="container-fluid">
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border-dark border offset-2 col-6">Offset Column</div>
				<div class="bg-primary pt-3 pb-3 border-dark border offset-md-3 col-6">Offset Column</div>
				<div class="bg-primary pt-3 pb-3 border-dark border offset-lg-4 col-6">Offset Column</div>

			</div>
			

		</div>

		
	</div>
<!-- Offsetting Columns End-->

<!-- Column Orders -->

		<h2>Column Orders</h2>
		<div class="container-fluid">
			<div class="text-light row">
				<!-- order-1 activates from lowest screen size, while order-md-2 is from medium to largest -->
				<div class="bg-primary pt-3 pb-3 border-dark border col order-2 order-md-1">Left</div>
				<div class="bg-secondary pt-3 pb-3 border-dark border col order-1 order-md-2">Right</div>

			</div>
		</div>




<!-- JS Dependencies -->

<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>

</body>
</html>